Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
[Java] Class DefaultGroovyStaticMethods

    java.lang.Object
      org.codehaus.groovy.runtime.DefaultGroovyStaticMethods

    public class DefaultGroovyStaticMethods
    extends Object

This class defines all the new static groovy methods which appear on normal JDK classes inside the Groovy environment. Static methods are used with the first parameter as the destination class.

Authors:
  Guillaume Laforge
  Dierk Koenig
  Joachim Baumann
  Paul King

Version:
  \$Revision: 20711 \$

Method Summary
`static ResourceBundle` | `getBundle(ResourceBundle self, String bundleName)` Works exactly like ResourceBundle.getBundle(String).
`static ResourceBundle` | `getBundle(ResourceBundle self, String bundleName, Locale locale)` Works exactly like ResourceBundle.getBundle(String, Locale).
`static Matcher` | `getLastMatcher(Matcher self)` Get the last hidden matcher that the system used to do a match.
`static Date` | `parse(Date self, String format, String input)` Parse a String into a Date instance using the given pattern.
`static void` | `sleep(Object self, long milliseconds)` Sleep for so many milliseconds, even if interrupted.
`static void` | `sleep(Object self, long milliseconds, Closure onInterrupt)` Sleep for so many milliseconds, using a given closure for interrupt processing.
`static Thread` | `start(Thread self, Closure closure)` Start a Thread with the given closure as a Runnable instance.
`static Thread` | `start(Thread self, String name, Closure closure)` Start a Thread with a given name and the given closure as a Runnable instance.
`static Thread` | `startDaemon(Thread self, Closure closure)` Start a daemon Thread with the given closure as a Runnable instance.
`static Thread` | `startDaemon(Thread self, String name, Closure closure)` Start a daemon Thread with a given name and the given closure as a Runnable instance.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### getBundle

    public static ResourceBundle getBundle(ResourceBundle self, String bundleName)

  Works exactly like ResourceBundle.getBundle(String). This is needed because the java method depends on a particular stack configuration that is not guaranteed in Groovy when calling the Java method.
  Parameters:
    `self` - placeholder variable used by Groovy categories; ignored for default static methods
    `bundleName` - the name of the bundle.
  Returns:
    the resource bundle
  See Also:
    ResourceBundle.getBundle
  Since:
    1.6.0

### getBundle

    public static ResourceBundle getBundle(ResourceBundle self, String bundleName, Locale locale)

  Works exactly like ResourceBundle.getBundle(String, Locale). This is needed because the java method depends on a particular stack configuration that is not guaranteed in Groovy when calling the Java method.
  Parameters:
    `self` - placeholder variable used by Groovy categories; ignored for default static methods
    `bundleName` - the name of the bundle.
    `locale` - the specific locale
  Returns:
    the resource bundle
  See Also:
    ResourceBundle.getBundle
  Since:
    1.6.0

### getLastMatcher

    public static Matcher getLastMatcher(Matcher self)

  Get the last hidden matcher that the system used to do a match.
  Parameters:
    `self` - placeholder variable used by Groovy categories; ignored for default static methods
  Returns:
    the last regex matcher
  Since:
    1.0

### parse

    public static Date parse(Date self, String format, String input)

  Parse a String into a Date instance using the given pattern. This convenience method acts as a wrapper for SimpleDateFormat.

  Note that a new SimpleDateFormat instance is created for every invocation of this method (for thread safety).

  throws:
    ParseException if there is a parse error
  Parameters:
    `self` - placeholder variable used by Groovy categories; ignored for default static methods
    `format` - pattern used to parse the input string.
    `input` - String to be parsed to create the date instance
  Returns:
    a new Date instance representing the parsed input string
  See Also:
    SimpleDateFormat.parse
  Since:
    1.5.7

### sleep

    public static void sleep(Object self, long milliseconds)

  Sleep for so many milliseconds, even if interrupted.
  Parameters:
    `self` - placeholder variable used by Groovy categories; ignored for default static methods
    `milliseconds` - the number of milliseconds to sleep
  Since:
    1.0

### sleep

    public static void sleep(Object self, long milliseconds, Closure onInterrupt)

  Sleep for so many milliseconds, using a given closure for interrupt processing.
  Parameters:
    `self` - placeholder variable used by Groovy categories; ignored for default static methods
    `milliseconds` - the number of milliseconds to sleep
    `onInterrupt` - interrupt handler, InterruptedException is passed to the Closure as long as it returns false, the sleep continues
  Since:
    1.0

### start

    public static Thread start(Thread self, Closure closure)

  Start a Thread with the given closure as a Runnable instance.
  Parameters:
    `self` - placeholder variable used by Groovy categories; ignored for default static methods
    `closure` - the Runnable closure
  Returns:
    the started thread
  Since:
    1.0

### start

    public static Thread start(Thread self, String name, Closure closure)

  Start a Thread with a given name and the given closure as a Runnable instance.
  Parameters:
    `self` - placeholder variable used by Groovy categories; ignored for default static methods
    `name` - the name to give the thread
    `closure` - the Runnable closure
  Returns:
    the started thread
  Since:
    1.6

### startDaemon

    public static Thread startDaemon(Thread self, Closure closure)

  Start a daemon Thread with the given closure as a Runnable instance.
  Parameters:
    `self` - placeholder variable used by Groovy categories; ignored for default static methods
    `closure` - the Runnable closure
  Returns:
    the started thread
  Since:
    1.0

### startDaemon

    public static Thread startDaemon(Thread self, String name, Closure closure)

  Start a daemon Thread with a given name and the given closure as a Runnable instance.
  Parameters:
    `self` - placeholder variable used by Groovy categories; ignored for default static methods
    `name` - the name to give the thread
    `closure` - the Runnable closure
  Returns:
    the started thread
  Since:
    1.6

Copyright © 2003-2010 The Codehaus. All rights reserved.